Package org.apache.felix.hc.core.impl.scheduling

## Class AsyncJob

- java.lang.Object
- - org.apache.felix.hc.core.impl.scheduling.AsyncJob

Direct Known Subclasses:
  `AsyncEmbeddedCronJob`, `AsyncIntervalJob`, `AsyncQuartzCronJob`

    public abstract class AsyncJob
    extends Object

Abstract class for async scheduling variants cron/interval.

### Field Summary

Fields
`protected Runnable` `runnable`

### Constructor Summary

Constructors
`AsyncJob​(Runnable runnable)`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `schedule()`
`abstract boolean` `unschedule()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### runnable

    protected final Runnable runnable

### Constructor Detail

#### AsyncJob

    public AsyncJob​(Runnable runnable)

### Method Detail

#### schedule

    public abstract boolean schedule()

#### unschedule

    public abstract boolean unschedule()